package io.gmss.fiscad.paylaods.response;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import io.gmss.fiscad.deserializer.LocalDateDeserializer;

import java.time.LocalDate;


public interface EnqueteResponse {
    public Long getId();

    public String getParcelleId();

    public Long getCommuneId();

    public String getCommuneNom();

    public Long getArrondissementId();

    public String getArrondissementNom();

    public Long getBlocId();

    public String getBlocNom();

    public Long getStructureId();

    public String getStructureNom();

    public boolean getLitige();

    public String getStatusEnquete();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateFinalisation();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateValidation();

    @JsonFormat(pattern = "dd-MM-yyyy")
    @JsonDeserialize(using = LocalDateDeserializer.class)
    public LocalDate getDateSynchronisation();

    public String getNomSigle();

    public String getPrenomRaisonSociale();

    public String getTypePersonne();

    public String getTypeDomaine();

    public String getNatureDomaine();

    public String getNupProvisoire();

    public Long getTerminalId();

}
